com.ihr.xbrl.om.xenum

## Class EnumerationElement

- java.lang.Object
- - com.ihr.xbrl.om.xenum.EnumerationElement

- All Implemented Interfaces:
    HasDomainNodes

      public class EnumerationElement
      extends java.lang.Object
      implements HasDomainNodes

  This is an object that holds information about the extensible enumeration domain.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnumerationElement(XMLElementDefinition concept, XMLElementDefinition domain, java.lang.String enumLinkrole, boolean headUsable)` Instantiates a new enumeration element.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(javax.xml.namespace.QName qNameValue)` Contains.
    `java.util.Iterator<DomainNode>` | `getChildren()` Returns an iterator over domain nodes.
    `XMLElementDefinition` | `getConcept()` Gets the concept.
    `XMLElementDefinition` | `getDomain()` Gets the domain.
    `javax.xml.namespace.QName` | `getDomainValueFromLabel(java.lang.String label)` Explore the enumerated domain for a text that matches the value in the label parameter and returns the QName value.
    `java.lang.String` | `getEnumLinkrole()` Gets the enum linkrole.
    `boolean` | `isHeadUsable()` Checks if is head usable.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnumerationElement

          public EnumerationElement(XMLElementDefinition concept,
                            XMLElementDefinition domain,
                            java.lang.String enumLinkrole,
                            boolean headUsable)

      Instantiates a new enumeration element.
      Parameters:
        `concept` - the concept
        `domain` - the domain
        `enumLinkrole` - the enum linkrole
        `headUsable` - the head usable

  - ### Method Detail

    - #### getConcept

          public XMLElementDefinition getConcept()

      Gets the concept.
      Returns:
        the concept

    - #### getDomain

          public XMLElementDefinition getDomain()

      Gets the domain.
      Returns:
        the domain

    - #### getChildren

          public java.util.Iterator<DomainNode> getChildren()

      Description copied from interface: `HasDomainNodes`
      Returns an iterator over domain nodes.
      Specified by:
        `getChildren` in interface `HasDomainNodes`
      Returns:
        the children

    - #### getEnumLinkrole

          public java.lang.String getEnumLinkrole()

      Gets the enum linkrole.
      Returns:
        the enumLinkrole

    - #### isHeadUsable

          public boolean isHeadUsable()

      Checks if is head usable.
      Returns:
        the headUsable

    - #### contains

          public boolean contains(javax.xml.namespace.QName qNameValue)

      Contains.
      Parameters:
        `qNameValue` - the q name value
      Returns:
        true, if successful

    - #### getDomainValueFromLabel

          public javax.xml.namespace.QName getDomainValueFromLabel(java.lang.String label)

      Explore the enumerated domain for a text that matches the value in the label parameter and returns the QName value.
      Parameters:
        `label` - the label
      Returns:
        the domain value from label